## Gog3DBox Gog3DBox |

## Properties

gint | fov | Read / Write
gint | phi | Read / Write
gint | psi | Read / Write
gint | theta | Read / Write

## Types and Values

#define | GOG_3D_BOX_TYPE
| Gog3DBox
| Gog3DBoxView

## Object Hierarchy

        GObject
        ├── GogObject
        │   ╰── Gog3DBox
        ╰── GogView
            ╰── Gog3DBoxView

## Description

## Functions

## Types and Values

### GOG_3D_BOX_TYPE

    #define GOG_3D_BOX_TYPE		(gog_3d_box_get_type ())

### Gog3DBox

    typedef struct _Gog3DBox Gog3DBox;

### Gog3DBoxView

    typedef struct _Gog3DBoxView Gog3DBoxView;

## Property Details

### The `“fov”` property

      “fov”                      gint

Field of view.

Flags: Read / Write

Allowed values: [0,90]

Default value: 10

### The `“phi”` property

      “phi”                      gint

Euler angle phi.

Flags: Read / Write

Allowed values: [0,360]

Default value: 270

### The `“psi”` property

      “psi”                      gint

Euler angle psi.

Flags: Read / Write

Allowed values: [0,360]

Default value: 70

### The `“theta”` property

      “theta”                    gint

Euler angle theta.

Flags: Read / Write

Allowed values: [0,360]

Default value: 10